Location _search

post/Location/_search
Page View

This resource contains information about a place where healthcare services are provided. This could be where services are rendered to a patient or even where medical supplies are stored.

You can review or retrieve location details.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

_search

Query for location records of healthcare services or supplies.

Flexible FHIR queries, different query parameters

FHIR® queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a searchset bundle type. Learn about bundles and bundle types in our FHIR® glossary.

We only note which query parameters are required if you’re querying a FHIR® server directly. Remember that Redox (i.e., data on demand) isn’t a FHIR® server, and your connection may not be either.

Query parameters will vary between sites. Work with your connection to find out which query parameters they require for a successful search.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Location/_search' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'identifier=string' \
6
--data-urlencode 'name=string' \
7
--data-urlencode 'address=string' \
8
--data-urlencode 'address-city=string' \
9
--data-urlencode 'address-state=string' \
10
--data-urlencode 'address-postalcode=string' \
11
--data-urlencode 'type=string' \
12
--data-urlencode 'physical-type=string' \
13
--data-urlencode 'name-physical-type=string' \
14
--data-urlencode 'partof=string' \
15
--data-urlencode 'partof.identifier=string'

Request Body Schema

  • identifier
    Array of string

    One or more external identifiers for the location

  • name
    Array of string

    A portion of the location's name or alias.

  • address
    Array of string

    A (part of the) address of the location

  • address-city
    Array of string

    A city specified in an address

  • address-state
    Array of string

    A state specified in an address

  • address-postalcode
    Array of string

    A postal code specified in an address

  • type
    Array of string

    A code for the type of location

  • physical-type
    Array of string

    The location's physical form

  • name-physical-type
    Array of string

    Specify both name and physical-type at once. This is a Redox-specific parameter.

  • partof
    Array of string

    A location of which this location is a part

  • partof.identifier
    Array of string

    One or more external identifiers for the location

Response fields and example

Example payload generated from schema
1
{
2
"resourceType": "Bundle",
3
"type": "searchset",
4
"total": 1,
5
"entry": [
6
{
7
"resource": {
8
"resourceType": "Location",
9
"id": "RedoxLocationExample",
10
"name": "RHS Vista Oaks Clinic",
11
"type": [
12
{
13
"coding": [
14
{
15
"code": "OF",
16
"system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
17
"display": "Outpatient Facility"
18
}
19
]
20
}
21
],
22
"physicalType": {
23
"coding": [
24
{
25
"code": "bu",
26
"system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
27
"display": "Building"
28
}
29
]
30
}
31
},
32
"search": {
33
"mode": "match"
34
}
35
}
36
]
37
}

    Response to a Location search operation

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Identifies this bundle as a response to a search

    Value: searchset
  • total
    required, number

    The total number of matches

  • entry
    Array of Location or Other

    A resource matching the search criteria or related to a matching resource

    • resource
      required, object

      A physical place where services are provided

      • resourceType
        required, string

        Identifies the type of the resource

        Value: Location
      • name
        string

        Name of the location as used by humans. Does not need to be unique.

      • type
        Array of object

        Indicates the type of function performed at the location.

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

      • telecom
        Array of object

        The contact details of communication devices available at the location. This can include phone numbers, fax numbers, mobile numbers, email addresses and web sites.

        • system
          string

          Telecommunications form for contact point - what communications system is required to make use of the contact.

          Possible Values: phone, fax, email, pager, url, sms, other
        • value
          string

          The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address).

        • use
          string

          Identifies the purpose for the contact point.

          Possible Values: home, work, temp, old, mobile
      • address
        object

        Physical location.

        • use
          string

          The purpose of this address.

          Possible Values: home, work, temp, old, billing
        • line
          Array of string

          This component contains the house number, apartment number, street name, street direction, P.O. Box number, delivery hints, and similar address information.

        • city
          string

          The name of the city, town, suburb, village or other community or delivery center.

        • district
          string

          The name of the administrative area (county).

        • state
          string

          Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes).

        • postalCode
          string

          A postal code designating a region defined by the postal service.

        • country
          string

          Country - a nation as commonly understood or generally accepted.

      • physicalType
        object

        Physical form of the location, e.g. building, room, vehicle, road.

        • coding
          Array of object

          A reference to a code defined by a terminology system.

          • system
            string

            The identification of the code system that defines the meaning of the symbol in the code.

          • code
            string

            A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

      • partOf
        object

        Another Location of which this Location is physically a part of.

        Must be a resource of type Location.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

    • search
      required, object

      Information about the search process that lead to the creation of this entry.

      • mode
        required, string

        Identifies the Location as matching the search parameters

        Value: match

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.